From a90657f5bbc5e2eb45fa419e7f43889aeccd4c39 Mon Sep 17 00:00:00 2001
From: Lars Wendler <polynomial-c@gentoo.org>
Date: Fri, 30 Oct 2020 11:24:34 +0100
Subject: [PATCH] Fix build with icu-68.1

icu-68.1 removed public macro definitions for TRUE and FALSE

Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
---
 src/libical/icalrecur.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/src/libical/icalrecur.c b/src/libical/icalrecur.c
index 91522161..159163c5 100644
--- a/src/libical/icalrecur.c
+++ b/src/libical/icalrecur.c
@@ -143,6 +143,7 @@
 #include <stdlib.h>
 
 #if defined(HAVE_LIBICU)
+#include <stdbool.h>
 #include <unicode/ucal.h>
 #include <unicode/ustring.h>
 #else
@@ -1079,7 +1080,7 @@ icalarray *icalrecurrencetype_rscale_supported_calendars(void)
 
     calendars = icalarray_new(sizeof(const char **), 20);
 
-    en = ucal_getKeywordValuesForLocale("calendar", NULL, FALSE, &status);
+    en = ucal_getKeywordValuesForLocale("calendar", NULL, false, &status);
     while ((cal = uenum_next(en, NULL, &status))) {
         cal = icalmemory_tmp_copy(cal);
         icalarray_append(calendars, &cal);
@@ -1472,7 +1473,7 @@ static int initialize_rscale(icalrecur_iterator *impl)
         }
 
         /* Check if specified calendar is supported */
-        en = ucal_getKeywordValuesForLocale("calendar", NULL, FALSE, &status);
+        en = ucal_getKeywordValuesForLocale("calendar", NULL, false, &status);
         while ((cal = uenum_next(en, NULL, &status))) {
             if (!strcmp(cal, rule.rscale)) {
                 is_hebrew = !strcmp(rule.rscale, "hebrew");
-- 
2.29.2
